//
// CustomIcons.m
// Project
//
// Created by ziv on 2017/7/4.
//
//

#import "CustomIcons.h"

@implementation CustomIcons

+ (UIFont *)iconFontWithSize:(CGFloat)size {
	static dispatch_once_t onceToken;
	dispatch_once(&onceToken, ^{
		[self registerIconFontWithURL:[[NSBundle bundleForClass:[CustomIcons class]] URLForResource:@"CustomIcons" withExtension:@"ttf"]];
	});

	UIFont *font = [UIFont fontWithName:@"fontello" size:size];
	NSAssert(font, @"UIFont object should not be nil, check if the font file is added to the application bundle and you're using the correct font name.");
	return font;
}

+ (instancetype)nextDayIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue800" size:size];
}

+ (instancetype)nextDayTwoIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue801" size:size];
}

+ (instancetype)abbrOrderIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue802" size:size];
}

+ (instancetype)mapMarkerZoomInIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue803" size:size];
}

+ (instancetype)refreshmentIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue804" size:size];
}

+ (instancetype)reviewIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue805" size:size];
}

+ (instancetype)abbrSalesIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue806" size:size];
}

+ (instancetype)selfCheckInIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue807" size:size];
}

+ (instancetype)seniorIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue808" size:size];
}

+ (instancetype)skipLineIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue809" size:size];
}

+ (instancetype)poolIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue80a" size:size];
}

+ (instancetype)takeoffArrowIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue80b" size:size];
}

+ (instancetype)toiletIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue80c" size:size];
}

+ (instancetype)taketourslogoIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue80d" size:size];
}

+ (instancetype)tvIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue80e" size:size];
}

+ (instancetype)quarterStarIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue810" size:size];
}

+ (instancetype)threeQuarterStarIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue811" size:size];
}

+ (instancetype)abbrAccountingIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue812" size:size];
}

+ (instancetype)audioGuideIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue813" size:size];
}

+ (instancetype)airConditionerIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue814" size:size];
}

+ (instancetype)abbrBookingIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue815" size:size];
}

+ (instancetype)recliningSeatIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue816" size:size];
}

+ (instancetype)driverIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue817" size:size];
}

+ (instancetype)dynamicPriceIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue818" size:size];
}

+ (instancetype)extraLegroomSeatIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue819" size:size];
}

+ (instancetype)flexiTicketIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue81a" size:size];
}

+ (instancetype)gotobuslogoIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue81b" size:size];
}

+ (instancetype)infantIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue81c" size:size];
}

+ (instancetype)insertBeforeIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue81d" size:size];
}

+ (instancetype)landingArrowIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue81e" size:size];
}

+ (instancetype)liveGuideIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue81f" size:size];
}

+ (instancetype)mapMarkerIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue820" size:size];
}

+ (instancetype)mapIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue821" size:size];
}

+ (instancetype)meetingRoomIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue822" size:size];
}

+ (instancetype)mobileTicketIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue823" size:size];
}

+ (instancetype)fitnessCenterIconWithSize:(CGFloat)size {
	return [self iconWithCode:@"\ue825" size:size];
}
@end
